﻿/**Begin D:\PDM_UPGRADE\PDM1\OATR_table.sql **/
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_ACTDIMESIONENTRY' AND KSQL_COL_NAME IN ('FEVALSCHEMEID')) 
 ALTER TABLE T_OATR_ACTDIMESIONENTRY ADD (FEVALSCHEMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_DIMESIONENTRY' AND KSQL_COL_NAME IN ('FDIMEVALSCHEMEID')) 
 ALTER TABLE T_OATR_DIMESIONENTRY ADD (FDIMEVALSCHEMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_ACTDIMEVALUATION') 
 CREATE TABLE T_OATR_ACTDIMEVALUATION (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOBJDIM' AND KSQL_COL_NAME IN ('FDIMORIGVALUE')) 
 ALTER TABLE T_OATR_REVIEWOBJDIM ADD (FDIMORIGVALUE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_REVIEWOBJDIMEVAL') 
 CREATE TABLE T_OATR_REVIEWOBJDIMEVAL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVALDIMID BIGINT DEFAULT 0 NOT NULL,
FDIMEVALITEMID BIGINT DEFAULT 0 NOT NULL,
FDIMEVALVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_TOOLSCHEMEENTRY') 
 CREATE TABLE T_OATR_TOOLSCHEMEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVALUATIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_EVALSCHEMEENTRY') 
 CREATE TABLE T_OATR_EVALSCHEMEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVALUATIONID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_EVALUATIONSCHEME_L') 
 CREATE TABLE T_OATR_EVALUATIONSCHEME_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OATR_EVALUATIONSCHEME') 
 CREATE TABLE T_OATR_EVALUATIONSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL_L' AND KSQL_COL_NAME IN ('FSIMPLENAME')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL_L ADD (FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FNUMBER')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FSTATUS')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FENABLE')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FSIMPLENAME')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FCREATEORGID')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FTOOLTYPE')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FTOOLTYPE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FMASTERID')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FINDEX')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FINDEX INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FISSYSPRESET')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FDISABLERID')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FDISABLERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OATR_REVIEWOUTTOOL' AND KSQL_COL_NAME IN ('FDISABLEDATE')) 
 ALTER TABLE T_OATR_REVIEWOUTTOOL ADD (FDISABLEDATE DATETIME );

/**End D:\PDM_UPGRADE\PDM1\OATR_table.sql **/
